%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  SFDesign
%global packver   0.1.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.2
Release:          1%{?dist}%{?buildtag}
Summary:          Space-Filling Designs

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp >= 1.0.8
BuildRequires:    R-CRAN-GenSA 
BuildRequires:    R-CRAN-nloptr 
BuildRequires:    R-CRAN-primes 
BuildRequires:    R-CRAN-proxy 
BuildRequires:    R-CRAN-spacefillr 
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-Rcpp >= 1.0.8
Requires:         R-CRAN-GenSA 
Requires:         R-CRAN-nloptr 
Requires:         R-CRAN-primes 
Requires:         R-CRAN-proxy 
Requires:         R-CRAN-spacefillr 

%description
Construct various types of space-filling designs, including Latin
hypercube designs, clustering-based designs, maximin designs, maximum
projection designs, and uniform designs (Joseph 2016
<doi:10.1080/08982112.2015.1100447>). It also offers the option to
optimize designs based on user-defined criteria. This work is supported by
U.S. National Science Foundation grant DMS-2310637.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
